<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Altered the entity jhi_user.
    -->
    <changeSet id="20250415163500-1" author="omg">
    	<addColumn tableName="jhi_user">
            <column name="security_group_id" type="bigint">
            	<constraints nullable="true" />
            </column>
	    </addColumn>
	    
        <addForeignKeyConstraint
	        baseTableName="jhi_user"
	        baseColumnNames="security_group_id"
	        referencedTableName="security_group"
	        referencedColumnNames="id"
	        constraintName="fk_jhi_user__security_group_id"/>
    </changeSet>
</databaseChangeLog>
